=== db/Makefile ===

MODULE_TOPDIR = ..

SUBDIRS = \
	drivers \
	base \
	db.login

PGM = databaseintro

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: htmldir

htmldir: subdirs

clean: cleansubdirs
