=== display/Makefile ===

MODULE_TOPDIR = ..

SUBDIRS = \
	drivers \
	d.ask \
	d.barscale \
	d.colorlist \
	d.colors \
	d.colortable \
	d.erase \
	d.extend \
	d.extract \
	d.font \
	d.frame \
	d.geodesic \
	d.graph \
	d.grid \
	d.his \
	d.histogram \
	d.info \
	d.legend \
	d.linegraph \
	d.mapgraph \
	d.measure \
	d.menu \
	d.mon \
	d.nviz \
	d.paint.labels \
	d.path \
	d.profile \
	d.rast \
	d.rast.arrow \
	d.rast.num \
	d.rgb \
	d.rhumbline \
	d.save \
	d.text.new \
	d.thematic.area \
	d.title \
	d.vect \
	d.vect.chart \
	d.what.rast \
	d.what.vect \
	d.where \
	d.zoom

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

clean: cleansubdirs
