=== general/Makefile ===

MODULE_TOPDIR = ..

SUBDIRS = \
	g.access \
	g.ask \
	g.dirseps \
	g.filename \
	g.findetc \
	g.findfile \
	g.gisenv \
	g.gui \
	g.mapset \
	g.mapsets \
	g.message \
	g.mkfontcap \
	g.mlist \
	g.mremove \
	g.parser \
	g.proj \
	g.pnmcomp \
	g.region \
	g.setproj \
	g.tempfile \
	g.transform \
	g.version \
	manage

include $(MODULE_TOPDIR)/include/Make/Dir.make

default: parsubdirs

clean: cleansubdirs
