=== debian/changelog ===
grass (6.4.3-3) unstable; urgency=medium

  * Now b-d on current libgdal-dev.
  * Policy bumped to 3.9.5. 
  * Now use dh_autotools-dev_{restore,update}config instead of manual 
    update/restore in debian/rules

    [ Paul Gevers ]
  * On ia64 build with $(HARDENING_DISABLE_PIE_CFLAGS_FILTER) filtered for
    now (closes: #728150)
  * Add patch fix_big-endian_issues which allows grass to build on s390x
    and ppc64 (closes: #672719)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Dec 2013 12:37:57 +0100

grass (6.4.3-2) unstable; urgency=low

  [ M. Hamish Bowman ]
  * Sort out watch file.

  [ Francesco Paolo Lovergine ]
  * Removed versioned dep for libtiff-dev b-d and pre-b-d on libtiff5-dev 
  (closes: #723974)

 -- M. Hamish Bowman <hamish_b@yahoo.com>  Sat, 21 Sep 2013 15:46:48 +1200

grass (6.4.3-1) unstable; urgency=low

  [ M. Hamish Bowman ]
  * Packaged new upstream version.
  * Build-Depends on libpng-dev for LibPNG transition.
    (closes: #662361)
  * grass-dev needs to depend on libfreetype6-dev for building addons.
  * Enable GEOS support.
  * Build-Depends on libmotif-dev for Motif transition.
    (closes: #714679)
  * Partial enable of the hardening flags.
  * Prepare for libtiff-dev transition. (debian-release/2013/05/msg00127.html)

  [ Francesco Paolo Lovergine ]
  * Modified libtiff dependencies to work as in current plan for libtiff
    migration.
  * Added missing hardening-includes build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 18 Sep 2013 13:50:49 +0200
